<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.eventhttp.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'ru',
  ),
  'this' => 
  array (
    0 => 'eventhttp.setdefaultcallback.php',
    1 => 'EventHttp::setDefaultCallback',
  ),
  'up' => 
  array (
    0 => 'class.eventhttp.php',
    1 => 'EventHttp',
  ),
  'prev' => 
  array (
    0 => 'eventhttp.setcallback.php',
    1 => 'EventHttp::setCallback',
  ),
  'next' => 
  array (
    0 => 'eventhttp.setmaxbodysize.php',
    1 => 'EventHttp::setMaxBodySize',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'ru',
    'path' => 'reference/event/eventhttp/setdefaultcallback.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="eventhttp.setdefaultcallback" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">EventHttp::setDefaultCallback</h1>
  <p class="verinfo">(PECL event &gt;= 1.4.0-beta)</p><p class="refpurpose"><span class="refname">EventHttp::setDefaultCallback</span> &mdash; <span class="dc-title">Устанавливает callback-функцию по умолчанию для обработки запросов, которые не перехватываются конкретными callback-функциями</span></p>

 </div>
 <div class="refsect1 description" id="refsect1-eventhttp.setdefaultcallback-description">
  <h3 class="title">Описание</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">public</span>
   <span class="methodname"><strong>EventHttp::setDefaultCallback</strong></span>(<span class="methodparam">
    
    <span class="type"><a href="language.types.string.php" class="type string">string</a></span> <code class="parameter">$cb</code>
   </span>, <span class="methodparam">
    
    <span class="type"><a href="language.types.string.php" class="type string">string</a></span> <code class="parameter">$arg</code>
   <span class="initializer"> = ?</span></span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

  <p class="para rdfs-comment">
   Устанавливает callback-функцию по умолчанию для обработки запросов,
   которые не перехватываются конкретными callback-функциями
  </p>
 </div>

 <div class="refsect1 parameters" id="refsect1-eventhttp.setdefaultcallback-parameters">
  <h3 class="title">Список параметров</h3>
  <dl>
   
    <dt>
     <code class="parameter">cb</code>
    </dt>
    <dd>
     <p class="para">
      Callback-функция <span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span>.
      Должна соответствовать следующему прототипу:
     </p>
     <div class="methodsynopsis dc-description"><span class="methodname"><strong>callback</strong></span>(<span class="methodparam">
       
       <span class="type"><a href="class.eventhttprequest.php" class="type EventHttpRequest">EventHttpRequest</a></span> <code class="parameter">$req</code>
       <span class="initializer"> = NULL</span>
      </span>, <span class="methodparam">
       
       <span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$arg</code>
       <span class="initializer"> = NULL</span>
      </span>): <span class="type"><a href="language.types.void.php" class="type void">void</a></span></div>

     <p class="para">
      <dl>
       
        <dt>
         <code class="parameter">req</code>
        </dt>
        <dd>
         <p class="para">
          Объект <span class="classname"><a href="class.eventhttprequest.php" class="classname">EventHttpRequest</a></span>.
         </p>
        </dd>
       
       
        <dt>
         <code class="parameter">arg</code>
        </dt>
        <dd>
         <p class="para">
          Пользовательские данные.
         </p>
        </dd>
       
      </dl>
     </p>
    </dd>
   
   
    <dt>
     <code class="parameter">arg</code>
    </dt>
    <dd>
     <p class="para">
      Пользовательские данные, который передаются в callback-функцию.
     </p>
    </dd>
   
  </dl>
 </div>

 <div class="refsect1 returnvalues" id="refsect1-eventhttp.setdefaultcallback-returnvalues">
  <h3 class="title">Возвращаемые значения</h3>
  <p class="para">
   Функция возвращает <strong><code><a href="reserved.constants.php#constant.true">true</a></code></strong> в случае успешного выполнения или <strong><code><a href="reserved.constants.php#constant.false">false</a></code></strong>, если возникла ошибка.
  </p>
 </div>

 <div class="refsect1 examples" id="refsect1-eventhttp.setdefaultcallback-examples">
  <h3 class="title">Примеры</h3>
  <div class="example" id="">
   <p><strong>Пример #1 Пример использования <span class="function"><strong>EventHttp::setDefaultCallback()</strong></span></strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$base </span><span style="color: #007700">= new </span><span style="color: #0000BB">EventBase</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">$http </span><span style="color: #007700">= new </span><span style="color: #0000BB">EventHttp</span><span style="color: #007700">(</span><span style="color: #0000BB">$base</span><span style="color: #007700">);<br /><br /></span><span style="color: #0000BB">$socket </span><span style="color: #007700">= </span><span style="color: #0000BB">socket_create</span><span style="color: #007700">(</span><span style="color: #0000BB">AF_INET</span><span style="color: #007700">, </span><span style="color: #0000BB">SOCK_STREAM</span><span style="color: #007700">, </span><span style="color: #0000BB">SOL_TCP</span><span style="color: #007700">);<br /><br />if (!</span><span style="color: #0000BB">$http</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">bind</span><span style="color: #007700">(</span><span style="color: #DD0000">"127.0.0.1"</span><span style="color: #007700">, </span><span style="color: #0000BB">8088</span><span style="color: #007700">)) {<br />    exit(</span><span style="color: #DD0000">"bind(1) failed\n"</span><span style="color: #007700">);<br />};<br /><br /></span><span style="color: #0000BB">$http</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">setDefaultCallback</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$req</span><span style="color: #007700">) {<br />    echo </span><span style="color: #DD0000">"URI: "</span><span style="color: #007700">, </span><span style="color: #0000BB">$req</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">getUri</span><span style="color: #007700">(), </span><span style="color: #0000BB">PHP_EOL</span><span style="color: #007700">;<br />    </span><span style="color: #0000BB">$req</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sendReply</span><span style="color: #007700">(</span><span style="color: #0000BB">200</span><span style="color: #007700">, </span><span style="color: #DD0000">"OK"</span><span style="color: #007700">);<br />});<br /><br /></span><span style="color: #0000BB">$base</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">dispatch</span><span style="color: #007700">();<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

  </div>
 </div>

 <div class="refsect1 seealso" id="refsect1-eventhttp.setdefaultcallback-seealso">
  <h3 class="title">Смотрите также</h3>
  <ul class="simplelist">
   <li>
    <span class="methodname"><a href="eventhttp.setcallback.php" class="methodname" rel="rdfs-seeAlso">EventHttp::setCallback()</a> - Устанавливает callback-функцию для указанного URI</span>
   </li>
  </ul>
 </div>

</div><?php manual_footer($setup); ?>